Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004565 [JEDI VCL] 00 JVCL Components major always 2008-11-04 06:00 2008-12-22 04:49
Reporter Koenraad View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004565: Information of not-shown forms is lost
Description When a sub-form is not shown, its information is overwritten by that from design time.
Enclosed project demonstrates this : start it and click on Showform. Modify something (placement, checkboxes). Close the form, close the app.
Start the app, and show the subform : all is OK. Close the app.
Start the app and close the app (do NOT show the subform). Start the app and show the subform : all info is at it's design-time state.
Additional Information There is a fix enclosed, see the diff-file. It seems to work for me, but please review it. I don't know if there are side-effects.
Tags No tags attached.
Attached Files 7z file icon jvcl_placement.7z [^] (1,935 bytes) 2008-11-04 06:00

- Relationships

-  Notes
(0014997)
Koenraad (reporter)
2008-11-14 02:04

I'm sorry, I forgot to mention it's about form-placement.
(0015143)
obones (administrator)
2008-12-22 04:49

Thanks, this is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-11-04 06:00 Koenraad New Issue
2008-11-04 06:00 Koenraad File Added: jvcl_placement.7z
2008-11-14 02:04 Koenraad Note Added: 0014997
2008-11-14 02:04 Koenraad Issue Monitored: Koenraad
2008-11-18 08:33 obones Status new => acknowledged
2008-12-03 16:29 jfudickar Issue Monitored: jfudickar
2008-12-22 04:49 obones Note Added: 0015143
2008-12-22 04:49 obones Status acknowledged => resolved
2008-12-22 04:49 obones Fixed in Version => Daily / SVN
2008-12-22 04:49 obones Resolution open => fixed
2008-12-22 04:49 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker